View Issue Details

IDProjectCategoryView StatusLast Update
0003058DraftBugpublic2018-02-21 14:36
Reportereasyw-fcAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003058: wrong dimension "Snap Points" in Draft WB in Imported hierarchical STEP files
Descriptionthis problems with snap points is raising only if the STEP model loaded has a hierarchy or is a multipart object...
The new container App::Part doesn't work correctly with the Draft Snap points, but it does work fine with Part Measure tools...
https://forum.freecadweb.org/viewtopic.php?f=3&t=22455#p174304
Steps To ReproduceYou can test simply loading this Hierarchical STEP file (as1-oc-214.stp) and try to place dimensions to the model...
Everything is working fine instead if a single object STEP file is loaded (io1-cm-214.stp)
https://forum.freecadweb.org/viewtopic.php?f=3&t=22455#p174304
TagsApp::Part, Draft, hierarchy, snap, STEP

Relationships

related to 0003350 closedwmayer Draft Snapping does not recognize App::Part container 

Activities

Kunda1

2017-06-29 16:56

administrator   ~0009613

@vejmarie mind also taking a look at this ?

Kunda1

2017-10-10 02:20

administrator   ~0010277

Assigning to vejmarie

wmayer

2018-02-21 10:12

administrator   ~0010966

https://github.com/FreeCAD/FreeCAD/commit/b2963382d3e8cd76a141cde8c7bdce8810f564f7

Issue History

Date Modified Username Field Change
2017-05-29 10:47 easyw-fc New Issue
2017-05-29 10:47 easyw-fc Tag Attached: step hierarchy App::Part draft snap
2017-05-29 10:47 easyw-fc Tag Detached: step hierarchy App::Part draft snap
2017-05-29 10:48 easyw-fc Tag Attached: App::Part
2017-05-29 10:48 easyw-fc Tag Attached: Draft
2017-05-29 10:48 easyw-fc Tag Attached: snap
2017-05-29 10:48 easyw-fc Tag Attached: STEP
2017-05-29 10:48 easyw-fc Tag Attached: hierarchy
2017-06-14 13:02 Kunda1 Status new => confirmed
2017-06-29 16:56 Kunda1 Note Added: 0009613
2017-06-29 16:57 Kunda1 Tag Attached: #pending
2017-10-10 02:20 Kunda1 Assigned To => vejmarie
2017-10-10 02:20 Kunda1 Status confirmed => assigned
2017-10-10 02:20 Kunda1 Note Added: 0010277
2017-12-11 19:31 Kunda1 Target Version => 0.17
2018-02-18 16:52 normandc Relationship added related to 0003350
2018-02-21 10:12 wmayer Status assigned => closed
2018-02-21 10:12 wmayer Resolution open => fixed
2018-02-21 10:12 wmayer Fixed in Version => 0.17
2018-02-21 10:12 wmayer Note Added: 0010966
2018-02-21 14:36 Kunda1 Assigned To vejmarie => wmayer
2018-02-21 14:36 Kunda1 Tag Detached: #pending